Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004873TestLinkAPI - XMLRPCpublic2012-01-14 14:002014-07-28 20:33
Reporterenkeli 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformallOSallOS Versionall
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0004873: Add "assignTesterToTestCaseOnBuild" xml-rpc function
DescriptionI'm currently checking if TestLink fully supports automated test results reporting and I've found one problem.
In short, xml-rpc API doesn't support assigning tester to the test case on specific build. Because of that one of the more interesting reports "General Test Plan Metrics" -> "Overall Build Status" is unuseful - see also: http://www.teamst.org/forum/viewtopic.php?f=11&t=4045 [^]

I don't want to do it manually (we have 10-20 build per day), so my question is, is it a problem to add such function to the API.
TagsNo tags attached.
Database (MySQL,Postgres,etc)all
Browserall
PHP Versionall
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0016234)
fman (administrator)
2012-01-14 15:32

1. tester is assigned to Test Case Version + TestPlan + Platform + Build then
IMHO proposed name is misleading.

2. we can review your contibution.
(0016235)
enkeli (reporter)
2012-01-14 21:00

1. Maybe better would be assignTestExecutionToBuild

2. Whole day at work + 4 kids at home => I don't believe that I can find a time for that ;-)

- Issue History
Date Modified Username Field Change
2012-01-14 14:00 enkeli New Issue
2012-01-14 15:32 fman Note Added: 0016234
2012-01-14 15:32 fman Status new => feedback
2012-01-14 21:00 enkeli Note Added: 0016235
2012-01-14 21:00 enkeli Status feedback => new
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC
2014-06-07 18:09 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-06-07 18:09 fman Status new => resolved
2014-06-07 18:09 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-06-07 18:09 fman Resolution open => fixed
2014-06-07 18:09 fman Assigned To => fman
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker